--- title: "Request Format" url: https://docs.catalyst.zoho.com/en/api/introduction/request-format/ description: "Learn about the API request format and the parameters contained in a request" last_updated: 2025-12-09T16:21:15Z service: All Services type: api --- # Request Format ### Request Methods Catalyst API follows the REST standards and supports the following HTTP methods for client requests for the described purposes: * `GET` : To fetch records from a Catalyst resource * `POST` : To insert new records in a Catalyst resource * `PUT` : To update existing records in a Catalyst resource * `DELETE` : To delete existing records in a Catalyst resource You must specify the request method for the operation while executing a Catalyst API request. ### Request URL The API requests are sent in the **CURL** format. A typical request URL is of the format: https://api.catalyst.zoho.com/baas/v1/project/*{project_id}* /*{resource_name}*/*{additional_resource_details}* > **Note:** The base API URL will be the following for the other [data centers](https://docs.catalyst.zoho.com/en/api/introduction/multi-dc-support/#Multi-DCSupport): * **EU:** `https://api.catalyst.zoho.eu` * **IN:** `https://api.catalyst.zoho.in` * **AU:** `https://api.catalyst.zoho.com.au` * **CA:** `https://api.catalyst.zohocloud.ca` * **JP:** `https://api.catalyst.zoho.jp` * **SA:** `https://api.catalyst.zoho.sa` The common parameters passed in the request URL include the [Project ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the Catalyst project and the resource ID of the specific resource instance that is being accessed. ### Request Headers Mandatory header passed in the cURL request includes the following: * **Authorization header:** OAuth token i.e., the ` [access\_token](https://docs.catalyst.zoho.com/en/api/oauth2/generate-access-and-refresh-token/#GenerateAccessandRefreshToken)` Recommended headers passed in the cURL request can include the following: * **Content-Type:** A REST API standard that indicates the original media type of the resource passed. It is highly recommended to pass this header when the API requests include JSON payload or form data, for example. Optional headers passed in the cURL request can include the following: * **Org ID:** The [Org ID](https://docs.catalyst.zoho.com/en/getting-started/catalyst-organizations/) of an organization that is not the default. You can obtain the Org ID from the multi-org portal in the Catalyst console. > **Note:** If you do not pass an Org ID in your request explicitly, the API will be executed for the default organization. * **Environment**: The environmental header to specify the [environment](https://docs.catalyst.zoho.com/en/deployment-and-billing/environments/introduction) the request must be executed for. You can indicate if the API request should be executed for the development or production environment of the project. > **Note:** If the project has been deployed to the production environment, then by default the API request will be executed for production, unless you specifically point to development using this header. If the project is not available in production, all API requests will be executed in the development environment automatically. ### Request Body Based on the purpose of the request, you can pass additional data in the body of the request in an API call, such as the column name and value for updating the column of a table, or the folder name for creating a folder. The particulars of the request to be sent, such as the headers and JSON attributes to be passed in the request, are specified in each API help page for the specific request. **Sample API Request** ```bash curl "https://api.catalyst.zoho.com/baas/v1/project/4000000006007/segment/4000000006023/cache" -X POST -d ‘{"cache_name":"City","cache_value":"London"}’ -H "CATALYST-ORG: 15090237" -H "Environment:Development" -H "Content-Type:application/json" -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57"" ```